{foreach from=$fForm key="vname" item="inp" name="form_input"}
 {if $smarty.foreach.form_input.first}
<div class="autoform">
 {/if}
{if !$inp.hide}
 {if $inp.type == 'label'}
  <h3>{$inp.label}</h3>
 {else}
  <div>
    <div class="label label_{$vname}{if isset($inp.req) && $inp.req==1} autoform_required{/if}">
      {if $inp.type ne "check"}{$inp.label}{/if}
    </div>
    <div class="hodnota hodnota_{$vname}{if isset($inp.status)} autoform_invalid{/if}">
    {strip}
      {if $inp.static}
        {* jenom zobrazit hodnotu bez moznosti editace *}
        {$smarty.post.$vname|escape}
        <input type="hidden" name="{$vname}" value="{$smarty.post.$vname|escape}" />
      {else}
{*  INPUT TYPU CODE     *}
      {if $inp.type eq "code"}
        {$inp.code}
      {/if}
{*  INPUT TYPU COMBOBOX      *}
      {if $inp.type eq "combo"}
        <select name="{$vname}"{" "}{$inp.js_data} />
          {foreach from=$inp.values key="VId" item="CBVal"}
            <option {if $VId==$smarty.post.$vname}selected="selected" {/if}value="{$VId|escape}">{$CBVal|escape}</option>
          {/foreach}
        </select>
      {/if}

{*  INPUT TYPU TEXT/HESLO/DATUM      *}
      {if $inp.type eq "text" || $inp.type eq "password" || $inp.type eq "datum"}
        <span id="id_span_{$vname}"><input type="{$inp.type}" {$inp.js_data}{" "}
               {if $inp.size*1!=0}size="{$inp.size*1}" {elseif $inp.type eq "datum"}size="10" {/if}
               {if $inp.max*1!=0}maxlength="{$inp.max*1}" {elseif $inp.type eq "datum"}maxlength="10" {/if}
               name="{$vname}"{" "}
               id="{$vname}"{" "}
               value="
                {if isset($smarty.post.$vname)}
                  {if $inp.type eq "datum"}
                    {$smarty.post.$vname|format_date|escape}{else}{$smarty.post.$vname|escape}
                  {/if}
                {else}
                  {if isset($inp.default)}
                    {$inp.default|escape}
                  {*elseif isset($inp.comment)}
                    {$inp.comment|escape*}
                  {/if}
                {/if}" {if !$inp.autocomplete}autocomplete="off" {/if}/></span>
        {if $inp.type eq "datum"}<a onclick="window.open('{$BASEPAGE}/sys/datum.php?inp_dest=fform.{$vname}{if $inp.date_only}&amp;date_only=yes{/if}','datwin','left='+((screen.width-300)/2)+',top='+((screen.height-160)/2)+',width=300,height=160');return(false);" href=""><img style="vertical-align:middle" src="{$BASEPAGE}/css/datum.png" alt="vybrat datum" title="vybrat datum" /></a> {if !$inp.date_only}(RRRR-MM-DD hh:mm){/if}{/if}
      {/if}

{*  INPUT TYPU FILE      *}
      {if $inp.type eq "file"}
        <input type="{$inp.type}" {$inp.js_data}{" "}
               {if $inp.size*1!=0}size="{$inp.size*1}" {/if}
               name="{$vname}"{" "}
               value=""{" "}
               />
      {/if}

{*  INPUT TYPU RADIOBUTTON      *}
      {if $inp.type eq "radio"}
        {if is_array($inp.default)}
          {foreach from=$inp.default key="ri" item="rname" name="radios"}
            <input type="radio" {$inp.js_data}{" "}
                   name="{$vname}"{" "}
                   {if (!isset($smarty.post.$vname) && $smarty.foreach.radios.index==0) || $smarty.post.$vname==$ri}
                     checked="checked"{" "}
                   {/if}
                   value="{$ri|escape}"{" "}
                   id="{$vname}_id{$smarty.foreach.radios.index}" />
            <label for="{$vname}_id{$smarty.foreach.radios.index}">{$rname}</label>{"\n"}
          {/foreach}
        {/if}
      {/if}

{*  INPUT TYPU CHECKBOX      *}
      {if $inp.type eq "check"}
        <input type="checkbox" {$inp.js_data}{" "}
               name="{$vname}"{" "}
               {if $smarty.post.$vname==$inp.default}
                 checked="checked"{" "}
               {/if}
               value="{$inp.default|escape}"{" "}
               id="{$vname}_id" />
        {if $inp.link ne ""}
          &nbsp;<a{if isset($inp.req) && $inp.req==1} class="autoform_required"{/if} target="_blank" href="{if !preg_match("/^http:\/\//",$inp.link)}{$BASEPAGE}{/if}{$inp.link}">{$inp.label}</a>
        {else}
          &nbsp;<label{if isset($inp.req) && $inp.req==1} class="autoform_required"{/if} for="{$vname}_id">{$inp.label}</label>{" "}
        {/if}
      {/if}

{*  INPUT TYPU SELECT      *}
      {if $inp.type eq "list"}
        {if is_array($inp.values)}
          <select name="{$vname}">
            {if $inp.no_empty}
            {else}
              <option value=""></option>
            {/if}
            {foreach from=$inp.values key="ri" item="rname" name="options"}
              <option value="{$ri|escape}"{if $smarty.post.$vname==$ri} selected="selected"{/if}>{$rname|escape}</option>
            {/foreach}
          </select>
        {else}
          {if isset($inp.min) && isset($inp.max)}
            <select name="{$vname}">
              {if $inp.no_empty}
              {else}
                <option value=""></option>
              {/if}
              {section start=$inp.min loop=$inp.max-$inp.min+2 name="options"}
                <option value="{$smarty.section.options.index}"{if $smarty.post.$vname==$smarty.section.options.index} selected="selected"{/if}>{$smarty.section.options.index}</option>
              {/section}
            </select>
          {/if}
        {/if}
      {/if}

{*  INPUT TYPU TEXTAREA      *}
      {if $inp.type eq "area"}
        <textarea name="{$vname}" {$inp.js_data}{" "}
         {if $inp.size*1!=0}cols="{$inp.size*1}" {/if}
         {if $inp.max*1!=0}rows="{$inp.max*1}" {/if}
        >
         {if isset($inp.default)}
           {if $inp.default eq ""}
           {else}
             {if isset($smarty.post.$vname)}
               {$smarty.post.$vname|escape}
             {else}
               {$inp.default|escape}
             {/if}
           {/if}
         {else}
           {if isset($smarty.post.$vname)}{$smarty.post.$vname|escape}{/if}
         {/if}
        </textarea>
      {/if}
      {/if}
      {if $inp.type eq "template"}
        {include file=$inp.template}
      {/if}
      {if $inp.status ne ""}
        <div class="badinput">{$inp.status}</div>
      {/if}
    {/strip}
    </div>
    <div class="comment comment_{$vname}">
      {$inp.comment}
    </div>
  </div>
 {/if}
{/if}
 {if $smarty.foreach.form_input.last}
 <div class="cb"></div>
</div>
 {/if}
{/foreach}