#!/bin/bash

viperPath="./libs/composer/viper2"

oldIFS=$IFS;
IFS=$'\n';

for viperDir in $(find "${viperPath}" -type d); do
  for viperPlugin in $(find "${viperDir}" -maxdepth 1 -type f -iname "*.php"); do
    grep -q "class.\+extends Viper2Plugin" "${viperPlugin}" && (

      if [ -d "${viperDir}/css" ]; then
        cp -varnT "${viperDir}/css" "web/css";
      fi

      if [ -d "${viperDir}/js" ]; then
        cp -varnT "${viperDir}/js" "web/js";
      fi

      if [ -d "${viperDir}/img" ]; then
        cp -varnT "${viperDir}/img" "web/img";
      fi

    )
  done;
done;

IFS=$oldIFS;