<?php
mb_internal_encoding("UTF-8");

if (!defined('PHP_VERSION_ID')) {
    $version = explode('.', PHP_VERSION);

    define('PHP_VERSION_ID', ($version[0] * 10000 + $version[1] * 100 + $version[2]));
}

if (!defined('__DIR__')) {
  define('__DIR__', dirname(__FILE__));
}


// absolute filesystem path to the web root
define('WWW_DIR', __DIR__);

// absolute filesystem path to config
define('CONF_DIR', WWW_DIR . '/../conf');

// absolute filesystem path to data
define('DATA_DIR', WWW_DIR . '/data');

// absolute filesystem path to the application root
define('APP_DIR', WWW_DIR . '/../app');

// absolute filesystem path to the libraries
define('LIBS_DIR', WWW_DIR . '/../libs');

// absolute filesystem path to utility files
define('INC_DIR', WWW_DIR . '/../inc');

// absolute filesystem path to temp files
define('TMP_DIR', WWW_DIR . '/../temp');

// absolute filesystem path to log files
define('LOG_DIR', WWW_DIR . '/../temp/logs');

// load bootstrap file
require APP_DIR . '/bootstrap.php';
?>
